<?xml version="1.0" encoding="UTF-8"?>
<project xmlns="http://maven.apache.org/POM/4.0.0" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xsi:schemaLocation="http://maven.apache.org/POM/4.0.0 http://maven.apache.org/maven-v4_0_0.xsd">

	<modelVersion>4.0.0</modelVersion>
	<artifactId>dnet-core</artifactId>
	<groupId>eu.dnetlib</groupId>
	<packaging>pom</packaging>
	<version>1.0.0-SNAPSHOT</version>


	<modules>
		<module>dnet-core-components</module>
		<module>dnet-core-services</module>
		<module>dnet-information-service</module>
		<module>dnet-data-services</module>
		<module>dnet-msro-service</module>
		<module>dnet-modular-ui</module>
	</modules>


	<licenses>
		<license>
			<name>GNU Affero General Public License, Version 3</name>
			<url>https://www.gnu.org/licenses/agpl-3.0.html</url>
			<distribution>repo</distribution>
		</license>
	</licenses>



	<issueManagement>
		<system>Redmine</system>
		<url>https://issue.openaire.research-infrastructures.eu/projects/dnet</url>
	</issueManagement>



	<ciManagement>
		<system>jenkins</system>
		<url>https://jenkins-dnet.d4science.org</url>
	</ciManagement>



	<scm>
		<connection>scm:git:gitea@code-repo.d4science.org:D-Net/dnet-core.git</connection>
		<developerConnection>scm:git:gitea@code-repo.d4science.org:D-Net/dnet-core.git</developerConnection>
		<url>https://code-repo.d4science.org/D-Net/dnet-core</url>
		<tag>HEAD</tag>
	</scm>


	<pluginRepositories>
	</pluginRepositories>



	<repositories>
		<repository>
			<id>dnet-deps</id>
			<name>dnet-dependencies</name>
			<url>http://maven.research-infrastructures.eu/nexus/content/repositories/dnet-deps</url>
		</repository>
		<repository>
			<id>exist</id>
			<url>https://raw.github.com/eXist-db/mvn-repo/master</url>
		</repository>
		<repository>
			<id>dnet45-releases</id>
			<name>D-Net 45 Releases</name>
			<url>http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-releases</url>
			<layout>default</layout>
			<snapshots>
				<enabled>true</enabled>
			</snapshots>
		</repository>
	</repositories>



	<dependencyManagement>

		<dependencies>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-lang3</artifactId>
				<version>${commons.lang3.version}</version>
			</dependency>
			<dependency>
				<groupId>commons-lang</groupId>
				<artifactId>commons-lang</artifactId>
				<version>${commons.lang.version}</version>
			</dependency>

			<dependency>
				<groupId>commons-codec</groupId>
				<artifactId>commons-codec</artifactId>
				<version>${commons.codec.version}</version>
			</dependency>

			<dependency>
				<groupId>commons-io</groupId>
				<artifactId>commons-io</artifactId>
				<version>${commons.io.version}</version>
			</dependency>

			<dependency>
				<groupId>com.googlecode</groupId>
				<artifactId>sarasvati</artifactId>
				<version>${sarasvati.version}</version>
			</dependency>
			<dependency>
				<groupId>com.googlecode</groupId>
				<artifactId>sarasvati-visual</artifactId>
				<version>${sarasvati.version}</version>
			</dependency>
			<dependency>
				<groupId>javax.mail</groupId>
				<artifactId>mail</artifactId>
				<version>1.4</version>
			</dependency>

			<dependency>
				<groupId>org.codehaus.groovy</groupId>
				<artifactId>groovy</artifactId>
				<version>2.1.6</version>
				<exclusions>
					<exclusion>
						<artifactId>antlr</artifactId>
						<groupId>antlr</groupId>
					</exclusion>
				</exclusions>
			</dependency>

			<dependency>
				<groupId>com.typesafe</groupId>
				<artifactId>config</artifactId>
				<version>0.3.1</version>
			</dependency>


			<!-- XML libraries -->
			<dependency>
				<groupId>com.ximpleware</groupId>
				<artifactId>vtd-xml</artifactId>
				<version>[2.12,3.0.0)</version>
			</dependency>
			<dependency>
				<groupId>com.mycila</groupId>
				<artifactId>xmltool</artifactId>
				<version>3.3</version>
			</dependency>
			<dependency>
				<groupId>org.jsoup</groupId>
				<artifactId>jsoup</artifactId>
				<version>1.11.2</version>
			</dependency>
			<dependency>
				<groupId>dom4j</groupId>
				<artifactId>dom4j</artifactId>
				<version>1.6.1</version>
			</dependency>
			<dependency>
				<groupId>com.sun.xsom</groupId>
				<artifactId>xsom</artifactId>
				<version>20110809</version>
			</dependency>
			<dependency>
				<groupId>org.svenson</groupId>
				<artifactId>svenson-json</artifactId>
				<version>[1.4.0,1.5.0)</version>
			</dependency>
			<dependency>
				<groupId>jaxen</groupId>
				<artifactId>jaxen</artifactId>
				<version>1.1.6</version>
			</dependency>
			<dependency>
				<groupId>saxonica</groupId>
				<artifactId>saxon</artifactId>
				<version>9.1.0.8</version>
			</dependency>
			<dependency>
				<groupId>saxonica</groupId>
				<artifactId>saxon-dom</artifactId>
				<version>9.1.0.8</version>
			</dependency>
			<dependency>
				<groupId>xerces</groupId>
				<artifactId>xercesImpl</artifactId>
				<version>2.11.0</version>
			</dependency>

			<dependency>
				<groupId>com.jcraft</groupId>
				<artifactId>jsch</artifactId>
				<version>0.1.53</version>
			</dependency>
			<dependency>
				<groupId>jgrapht</groupId>
				<artifactId>jgrapht</artifactId>
				<version>0.7.2</version>
			</dependency>
			<dependency>
				<groupId>net.sf.ehcache</groupId>
				<artifactId>ehcache</artifactId>
				<version>2.8.0</version>
			</dependency>
			<dependency>
				<groupId>com.google.guava</groupId>
				<artifactId>guava</artifactId>
				<version>${google.guava.version}</version>
			</dependency>
			<dependency>
				<groupId>com.google.code.gson</groupId>
				<artifactId>gson</artifactId>
				<version>${google.gson.version}</version>
			</dependency>
			<dependency>
				<groupId>org.json</groupId>
				<artifactId>json</artifactId>
				<version>20160810</version>
			</dependency>
			<dependency>
				<groupId>org.apache.poi</groupId>
				<artifactId>poi</artifactId>
				<version>3.16</version>
			</dependency>
			<dependency>
				<groupId>org.apache.poi</groupId>
				<artifactId>poi-ooxml</artifactId>
				<version>3.16</version>
			</dependency>

			<dependency>
				<groupId>log4j</groupId>
				<artifactId>log4j</artifactId>
				<version>${log4j.version}</version>
				<exclusions>
					<exclusion>
						<groupId>com.sun.jmx</groupId>
						<artifactId>jmxri</artifactId>
					</exclusion>
					<exclusion>
						<groupId>com.sun.jdmk</groupId>
						<artifactId>jmxtools</artifactId>
					</exclusion>
				</exclusions>
			</dependency>

			<dependency>
				<groupId>org.aspectj</groupId>
				<artifactId>aspectjrt</artifactId>
				<version>${aspectj.version}</version>
			</dependency>
			<dependency>
				<groupId>runcc</groupId>
				<artifactId>runcc</artifactId>
				<version>0.7</version>
			</dependency>
			<dependency>
				<groupId>org.antlr</groupId>
				<artifactId>stringtemplate</artifactId>
				<version>3.2</version>
			</dependency>
			<dependency>
				<groupId>jparsec</groupId>
				<artifactId>jparsec</artifactId>
				<version>2.0</version>
			</dependency>
			<dependency>
				<groupId>apache</groupId>
				<artifactId>oro</artifactId>
				<version>2.0.8</version>
			</dependency>
			<dependency>
				<groupId>org.quartz-scheduler</groupId>
				<artifactId>quartz</artifactId>
				<version>${quartz.version}</version>
			</dependency>

			<!-- Exist XmlDB-->
			<dependency>
				<groupId>org.exist-db</groupId>
				<artifactId>exist-start</artifactId>
				<version>${exist.version}</version>
			</dependency>
			<dependency>
				<groupId>org.exist-db</groupId>
				<artifactId>exist-core</artifactId>
				<version>${exist.version}</version>
				<exclusions>
					<exclusion>
						<groupId>asm</groupId>
						<artifactId>asm</artifactId>
					</exclusion>
					<exclusion>
						<groupId>antlr</groupId>
						<artifactId>antlr</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.aspectj</groupId>
						<artifactId>aspectjrt</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.eclipse.jetty</groupId>
						<artifactId>jetty-security</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.eclipse.jetty</groupId>
						<artifactId>jetty-server</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.eclipse.jetty</groupId>
						<artifactId>jetty-util</artifactId>
					</exclusion>
					<exclusion>
						<artifactId>javax.servlet</artifactId>
						<groupId>org.eclipse.jetty.orbit</groupId>
					</exclusion>
					<exclusion>
						<groupId>net.sf.saxon</groupId>
						<artifactId>Saxon-HE</artifactId>
					</exclusion>
					<exclusion>
						<groupId>commons-codec</groupId>
						<artifactId>commons-codec</artifactId>
					</exclusion>
					<exclusion>
						<groupId>org.apache.ant</groupId>
						<artifactId>ant</artifactId>
					</exclusion>
				</exclusions>
			</dependency>


			<dependency>
				<groupId>org.postgresql</groupId>
				<artifactId>postgresql</artifactId>
				<version>${postgres.jdbc.version}</version>
			</dependency>
			<dependency>
				<groupId>org.xerial</groupId>
				<artifactId>sqlite-jdbc</artifactId>
				<version>3.7.2</version>
			</dependency>
			<dependency>
				<groupId>org.hibernate</groupId>
				<artifactId>hibernate-core</artifactId>
				<version>4.3.2.Final</version>
				<exclusions>
					<exclusion>
						<artifactId>antlr</artifactId>
						<groupId>antlr</groupId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>org.hibernate.javax.persistence</groupId>
				<artifactId>hibernate-jpa-2.1-api</artifactId>
				<version>1.0.2.Final</version>
			</dependency>

			<dependency>
				<groupId>commons-collections</groupId>
				<artifactId>commons-collections</artifactId>
				<version>${commons.collections.version}</version>
			</dependency>
			<dependency>
				<groupId>commons-dbcp</groupId>
				<artifactId>commons-dbcp</artifactId>
				<version>1.4</version>
			</dependency>
			<dependency>
				<groupId>com.sun.xml.messaging.saaj</groupId>
				<artifactId>saaj-impl</artifactId>
				<version>1.3</version>
			</dependency>
			<dependency>
				<groupId>commons-beanutils</groupId>
				<artifactId>commons-beanutils</artifactId>
				<version>1.8.0</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-compress</artifactId>
				<version>1.6</version>
			</dependency>
			<dependency>
				<groupId>commons-net</groupId>
				<artifactId>commons-net</artifactId>
				<version>3.3</version>
			</dependency>
			<dependency>
				<groupId>org.apache.commons</groupId>
				<artifactId>commons-csv</artifactId>
				<version>1.4</version>
			</dependency>
			<dependency>
				<groupId>org.apache.maven</groupId>
				<artifactId>maven-model</artifactId>
				<version>3.2.3</version>
			</dependency>


			<!-- Apache Solr -->
			<dependency>
				<groupId>org.apache.solr</groupId>
				<artifactId>solr-solrj</artifactId>
				<version>${apache.solr.version}</version>
				<exclusions>
					<exclusion>
						<artifactId>wstx-asl</artifactId>
						<groupId>org.codehaus.woodstox</groupId>
					</exclusion>
					<exclusion>
						<artifactId>jcl-over-slf4j</artifactId>
						<groupId>org.slf4j</groupId>
					</exclusion>
				</exclusions>
			</dependency>
			<dependency>
				<groupId>org.apache.lucene</groupId>
				<artifactId>lucene-queryparser</artifactId>
				<version>${apache.solr.version}</version>
			</dependency>

			<!-- MongoDB -->
			<dependency>
				<groupId>org.mongodb</groupId>
				<artifactId>mongo-java-driver</artifactId>
				<version>${mongodb.driver.version}</version>
			</dependency>


			<dependency>
				<groupId>joda-time</groupId>
				<artifactId>joda-time</artifactId>
				<version>[2.3,3.0)</version>
			</dependency>
			<dependency>
				<groupId>org.z3950.zing</groupId>
				<artifactId>cql-java</artifactId>
				<version>1.7</version>
			</dependency>

			<!-- Spring -->
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-beans</artifactId>
				<version>${spring.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-web</artifactId>
				<version>${spring.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-test</artifactId>
				<version>${spring.version}</version>
				<optional>false</optional>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-aop</artifactId>
				<version>${spring.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-webmvc</artifactId>
				<version>${spring.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-tx</artifactId>
				<version>${spring.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-context-support</artifactId>
				<version>${spring.version}</version>
			</dependency>
			<dependency>
				<groupId>org.springframework</groupId>
				<artifactId>spring-orm</artifactId>
				<version>${spring.version}</version>
			</dependency>


			<!-- CXF -->
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-core</artifactId>
				<version>${cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-bindings-soap</artifactId>
				<version>${cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-transports-http</artifactId>
				<version>${cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-frontend-jaxws</artifactId>
				<version>${cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-ws-policy</artifactId>
				<version>${cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-frontend-jaxrs</artifactId>
				<version>${cxf.version}</version>
			</dependency>

			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-transports-local</artifactId>
				<version>${cxf.version}</version>
			</dependency>
			<dependency>
				<groupId>org.apache.cxf</groupId>
				<artifactId>cxf-rt-ws-rm</artifactId>
				<version>${cxf.version}</version>
			</dependency>




			<dependency>
				<groupId>javax.servlet</groupId>
				<artifactId>javax.servlet-api</artifactId>
				<version>${javax.servlet.version}</version>
				<scope>provided</scope>
			</dependency>

			<!-- Tomcat7 -->
			<dependency>
				<groupId>org.apache.tomcat</groupId>
				<artifactId>tomcat-catalina</artifactId>
				<version>7.0.47</version>
				<scope>provided</scope>
			</dependency>

			<!-- Tests -->
			<dependency>
				<groupId>junit</groupId>
				<artifactId>junit</artifactId>
				<version>4.9</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>org.mockito</groupId>
				<artifactId>mockito-core</artifactId>
				<version>${mockito.version}</version>
				<scope>test</scope>
			</dependency>

			<dependency>
				<groupId>hsqldb</groupId>
				<artifactId>hsqldb</artifactId>
				<version>1.8.0.7</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>org.aspectj</groupId>
				<artifactId>aspectjweaver</artifactId>
				<version>${aspectj.version}</version>
				<scope>test</scope>
			</dependency>
			<dependency>
				<groupId>org.hibernate</groupId>
				<artifactId>hibernate-annotations</artifactId>
				<version>3.3.1</version>
				<scope>test</scope>
			</dependency>

		</dependencies>
	</dependencyManagement>

	<properties>
		<spring.version>[4.2.5.RELEASE]</spring.version>
		<cxf.version>[3.1.5]</cxf.version>
		<mockito.version>2.3.7</mockito.version>
		<commons.lang.version>2.6</commons.lang.version>
		<commons.lang3.version>3.5</commons.lang3.version>
		<commons.io.version>2.4</commons.io.version>
		<commons.codec.version>1.9</commons.codec.version>
		<commons.collections.version>3.2.1</commons.collections.version>
		<apache.solr.version>7.5.0</apache.solr.version>
		<mongodb.driver.version>3.4.2</mongodb.driver.version>
		<google.guava.version>23.3-jre</google.guava.version>
		<google.gson.version>2.2.2</google.gson.version>
		<quartz.version>2.2.2</quartz.version>
		<log4j.version>1.2.17</log4j.version>
		<exist.version>3.0.RC1</exist.version>
		<aspectj.version>[1.8.9]</aspectj.version>
		<sarasvati.version>1.0.3</sarasvati.version>
		<postgres.jdbc.version>42.2.1</postgres.jdbc.version>
		<javax.servlet.version>[3.1.0]</javax.servlet.version>
	</properties>

	<dependencies>
		<dependency>
			<groupId>junit</groupId>
			<artifactId>junit</artifactId>
			<scope>test</scope>
		</dependency>
		<dependency>
			<groupId>org.mockito</groupId>
			<artifactId>mockito-core</artifactId>
			<scope>test</scope>
		</dependency>
	</dependencies>

	<build>
		<directory>target</directory>
		<outputDirectory>target/classes</outputDirectory>
		<finalName>${project.artifactId}-${project.version}</finalName>
		<testOutputDirectory>target/test-classes</testOutputDirectory>

		<pluginManagement>
			<plugins>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-release-plugin</artifactId>
					<version>2.5</version>
				</plugin>
				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-compiler-plugin</artifactId>
					<version>3.8.1</version>
					<configuration>
						<source>1.8</source>
						<target>1.8</target>
						<encoding>UTF-8</encoding>
					</configuration>
				</plugin>

				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-jar-plugin</artifactId>
					<version>3.0.2</version>
				</plugin>

				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-source-plugin</artifactId>
					<version>3.0.1</version>
					<executions>
						<execution>
							<id>attach-sources</id>
							<phase>verify</phase>
							<goals>
								<goal>jar-no-fork</goal>
							</goals>
						</execution>
					</executions>
				</plugin>

				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-surefire-plugin</artifactId>
					<version>2.19.1</version>
					<configuration>
						<redirectTestOutputToFile>true</redirectTestOutputToFile>
					</configuration>
				</plugin>

				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-javadoc-plugin</artifactId>
					<version>2.10.4</version>
					<configuration>
						<detectLinks>true</detectLinks>
					</configuration>
				</plugin>

				<plugin>
					<groupId>org.apache.maven.plugins</groupId>
					<artifactId>maven-dependency-plugin</artifactId>
					<version>3.0.0</version>
				</plugin>

			</plugins>
		</pluginManagement>

		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-release-plugin</artifactId>
				<version>2.5.3</version>
			</plugin>
		</plugins>

		<extensions>
			<extension>
				<groupId>org.apache.maven.wagon</groupId>
				<artifactId>wagon-ssh</artifactId>
				<version>2.10</version>
			</extension>
		</extensions>
	</build>

	<distributionManagement>
		<snapshotRepository>
			<id>dnet45-snapshots</id>
			<name>D-Net 45 Snapshots</name>
			<url>http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-snapshots</url>
			<layout>default</layout>
		</snapshotRepository>
		<repository>
			<id>dnet45-releases</id>
			<name>D-Net 45 Releases</name>
			<url>http://maven.research-infrastructures.eu/nexus/content/repositories/dnet45-releases</url>
			<layout>default</layout>
		</repository>
	</distributionManagement>


	<reporting>
		<plugins>
			<plugin>
				<groupId>org.apache.maven.plugins</groupId>
				<artifactId>maven-javadoc-plugin</artifactId>
				<configuration>
					<detectLinks>true</detectLinks>
				</configuration>
			</plugin>
		</plugins>
	</reporting>


</project>
